#{if usulan != null}
	<input type="hidden" id="usulan-id" name="usulan.id" value="${usulan?.id}"/>
#{/if}

#{if komoditas != null}
<div class="form-group">
	<label class="col-md-3 control-label">&{'komoditas.label'}</label>
	<div class="col-md-4">
		<input type="text" class="form-control" value="${komoditas.kode_komoditas + ' - ' + komoditas.nama_komoditas}" readonly>
		<input type="hidden" name="usulan.komoditas_id" value="${komoditas.id}">
	</div>
</div>
#{/if}

<div class="form-group required">
	<label class="col-md-3 control-label">&{'nama_usulan.label'}</label>
	<div class="col-md-4">
		<input type="text" class="form-control" name="usulan.nama_usulan" value="${usulan?.nama_usulan}" required>
	</div>
</div>

<div class="form-group required">
	<label class="col-md-3 control-label">&{'klpd.label'}</label>
	<div class="col-md-4">
		<select name="usulan.kldi_id" class="form-control select2" style="width:100%" required>
			<option value="">&{'pilih.label'}</option>
			#{list kldiList,as:'kldi'}
				<option value="${kldi.id}" ${usulan?.kldi_id == kldi.id ? "selected" : ""}>${kldi.nama}</option>
			#{/list}
		</select>
	</div>
</div>

<div class="form-group required">
	<label class="col-md-3 control-label">&{'nama_pengusul.label'}</label>
	<div class="col-md-4">
		<input type="text" class="form-control" name="usulan.pengusul_nama" value="${usulan?.pengusul_nama}" required>
	</div>
</div>

<div class="form-group required">
	<label class="col-md-3 control-label">&{'nik_nip.label'} &{'pengusul.label'}</label>
	<div class="col-md-4">
		<input type="text" class="form-control" name="usulan.pengusul_nik" value="${usulan?.pengusul_nik}" maxlength="20" required>
	</div>
</div>

<div class="form-group required">
	<label class="col-md-3 control-label">&{'email.label'} &{'pengusul.label'}</label>
	<div class="col-md-4">
		<input type="text" class="form-control" name="usulan.pengusul_email" value="${usulan?.pengusul_email}" required>
	</div>
</div>

<div class="form-group">
	<label class="col-md-3 control-label">&{'nomor_telp.label'} &{'pengusul.label'}</label>
	<div class="col-md-4">
		<input type="text" class="form-control" name="usulan.pengusul_no_telp" value="${usulan?.pengusul_no_telp}">
	</div>
</div>

<div class="form-group">
	<label class="col-md-3 control-label">&{'alamat.label'} &{'pengusul.label'}</label>
	<div class="col-md-4">
		<textarea rows="6" class="form-control" name="usulan.pengusul_alamat">${usulan?.pengusul_alamat}</textarea>
	</div>
</div>

<div class="form-group required">
	<label class="col-md-3 control-label">&{'pokja.label'}</label>
	<div class="col-md-4">
		<select name="pokja[]" class="form-control select2" multiple="multiple" style="width: 100%" required>
			<option value="">&{'pilih.label'}</option>
		#{list pokjaList,as:'pokja'}
			IntStream.of(a).anyMatch(x -> x == 4)
			<option value="${pokja.id}" ${usulan?.isPokjaIdExist(pokja.id) ? "selected" : ""}>${pokja.nama_lengkap}</option>
		#{/list}
		</select>
	</div>
</div>

<div class="form-group required">
	<label class="col-md-3 control-label">&{'unggah_st_pokja.label'}</label>
	<div class="col-md-4"><input type="text" class="form-control" name="dok_pokja_label" id="dokPokjaLabel" placeholder="&{'nama_dokumen.label'}" ${/*true || */dokumenInfoPokjaList != null ? '' : 'required'}></div>
	<div class="col-md-5">
		<input id="filePokjaupload" type="file" accept=".doc,.docx,.pdf,.xls,.xlsx,.zip" name="pokjafile"  disabled>
        <label class="control-label">&{'dokumen.label'} .DOC, .DOCX, .PDF, .XLS, .XLSX, .ZIP</label>
	</div>
</div>

<div id="progressPokja" class="progress" style="display: none;">
	<div class="progress-bar progress-bar-success"></div>
</div>
<div class="form-group">
	<div id="alert-uploadPokja" style="margin-top: 10px;"></div>
	<label class="col-md-3 control-label">&{'total_file.label'}</label>
    <div class="col-md-5">
        <input id="file-counterPokja" class="disabled" name="file-pokja-counter" type="text" value="${dokumenInfoPokjaList != null ? dokumenInfoPokjaList.size() : 0}" readonly style="width: 25px; border: 0px; margin-top: 5px;">
	</div>
</div>
<div class="form-group" >
    <label class="col-md-3 control-label">&{'daftar_file.label'}</label>
    <div class="col-md-9">
        <ol id="pokja-files" class="files" style="padding:15px;">
		#{list dokumenInfoPokjaList, as:'dokumen'}
            <li>${dokumen.file_label} - ${dokumen.name}
                <a href="javascript:void(0)" class="removePokjaDok" versi="${dokumen.versi}">
                    <i class="fa fa-trash-o"></i></a>
                <input type="hidden" name="file_pokja_id" value="${dokumen.id}"/>
            </li>
		#{/list}
        </ol>
    </div>
</div>


#{if !isCreateKomoditas }
	<div class="form-group required">
		<label class="col-md-3 control-label">&{'template_jadwal.label'}</label>
		<div class="col-md-4">
			<select name="usulan.template_jadwal_id" class="form-control select2withDesc" style="width: 100%;" required>
				<option value="">&{'pilih.label'}</option>
			#{list templateJadwal,as:'template'}
				<option title="${template.deskripsi}" value="${template.id}" ${usulan?.template_jadwal_id == template.id ? "selected" : ""}>${template.nama_template}</option>
			#{/list}
			</select>
		</div>
	</div>
#{/if}

#{if !isCreateKomoditas }
	<div id="form-kategori">
		<div class="form-group required">
			<label class="col-md-3 control-label">&{'kategori_produk.label'}</label>
			<div class="col-md-4">
				<select class="form-control pilih_kategori select2" name="kategori[]" multiple="multiple" style="width: 100%;" required>
				#{list kategoriList, as:'kategori'}
                    <option value="${kategori.id}" ${usulan.isKategoriIdExist(kategori.id) ? "selected" : ""}>${kategori.kategori}</option>
				#{/list}
				</select>
				<input type="hidden" value="" name="usulan.produk_kategori_id" id="kategori_id">
			</div>
		</div>
	</div>
#{/if}

<div class="form-group required">
	<label class="col-md-3 control-label">&{'unggah.label'} &{'dokumen_usulan.label'}</label>
	<div class="col-md-4"><input type="text" class="form-control" name="dok_label" id="dokLabel" placeholder="&{'nama_dokumen.label'}" ${dokumenInfoList != null ? '' : 'required'}></div>
	<div class="col-md-5">
		<input id="fileupload" type="file" accept=".doc,.docx,.pdf,.xls,.xlsx,.zip" name="file"  disabled>
        <label class="control-label">&{'dokumen.label'} .DOC, .DOCX, .PDF, .XLS, .XLSX, .ZIP</label>
	</div>
</div>

<div id="progress" class="progress" style="display: none;">
	<div class="progress-bar progress-bar-success"></div>
</div>
<div class="form-group">
	<div id="alert-upload" style="margin-top: 10px;"></div>
	<label class="col-md-3 control-label">&{'total_file.label'}</label>
    <div class="col-md-5">
        <input id="file-counter" class="disabled" name="file-counter" type="text" value="${dokumenInfoList != null ? dokumenInfoList.size() : 0}" readonly style="width: 25px; border: 0px; margin-top: 5px;">
	</div>
</div>
<div class="form-group" >
    <label class="col-md-3 control-label">&{'daftar_file.label'}</label>
    <div class="col-md-9">
        <ol id="files" class="files" style="padding:15px;">
		#{list dokumenInfoList, as:'dokumen'}
            <li>${dokumen.file_label} - ${dokumen.name}
                <a href="javascript:void(0)" class="removeDok" versi="${dokumen.versi}">
                    <i class="fa fa-trash-o"></i></a>
                <input type="hidden" name="file_id" value="${dokumen.id}"/>
            </li>
		#{/list}
        </ol>
    </div>
</div>

